%define        trac_version 0.12

Name:           trac-CGit-plugin
Version:        1.0.5
Release:        1%{?dist}
Summary:        Replace the trac browser by CGit

License:        GPLv2+
URL:            http://trac-hacks.org/wiki/TracCgitPlugin
Source0:        https://github.com/reposerf/tracCGit/archive/v%{version}.tar.gz
Patch:          %{name}-fixshebang.patch

BuildArch:      noarch
BuildRequires:  python2-devel, python-setuptools
Requires:       trac >= 0.12

%description
Replace the trac browser by cgit.

Configure the url in the cgit ini panel and TracCGit
will replace the trac source browser (provided you
have a working cgit installation setup).

Plain and simple. 

%prep
%setup -q -n tracCGit-%{version}
%patch

%build
cd %{trac_version}
%{__python} setup.py build

%install
cd %{trac_version}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc LICENSE
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Thu Jan 03 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.0.5-1
- Initial packaging effort

